/*
 * Ad9833.h
 *
 *  Created on: 30 Aug 2021
 *      Author: Andrea
 */

#ifndef INC_AD9833_H_
#define INC_AD9833_H_

/**
 * Thanks to programming of:
 * https://github.com/Bardia-Afshar/AD9833-STM32
 * https://www.mikrocontroller.net/topic/479812
 */

#include <math.h>
#include "stm32f4xx_hal.h"
#include <main.h>

//+++ Defines.
#define FMCLK 25000000        //+++ Master clock on AD9833.

//+++ Functions.
void AD9833Write(uint16_t SpiWord, SpiDevice SpiD);	//+++ Write registers of AD9833 using SPI.
void AD9833SetWave(uint16_t Wave, SpiDevice SpiD);	 //+++ Sets output wave type.
void AD9833SetWaveData(uint16_t Wave, float Frequency, float Phase, SpiDevice SpiD);	//+++ Sets wave frequency & phase (in degree) In PHASE0 & FREQ0 registers.

#endif /* INC_AD9833_H_ */
